<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_shortcode($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-addcontent'); // 元の値を保持

	/*** 独自ショートコードを使う ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['use-shortcode'] ) && $value['use-shortcode'] === '1' ) {
		$value['use-shortcode'] = '1'; // 明示的に '1' を設定
	} else {
		$value['use-shortcode'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** 投稿スライダーショートコードを使う ***/
	if ( isset( $value['use-post-slider-shortcode'] ) && $value['use-post-slider-shortcode'] === '1' ) {
		$value['use-post-slider-shortcode'] = '1'; // 明示的に '1' を設定
	} else {
		$value['use-post-slider-shortcode'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** シェアボタンをショートコードで出力 ***/
	if ( isset( $value['share-button-shortcode'] ) && $value['share-button-shortcode'] === '1' ) {
		$value['share-button-shortcode'] = '1'; // 明示的に '1' を設定
	} else {
		$value['share-button-shortcode'] = ''; // チェックされていない場合は空文字を設定
	}

	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}